Bug 1409667 - ppc64: ../src/graphene-simd4f.c:1295:1: error: unrecognizable insn:
Summary: ppc64: ../src/graphene-simd4f.c:1295:1: error: unrecognizable insn:
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-02 22:58 UTC by Igor Gnatenko
Modified: 2017-02-27 11:36 UTC (History)
6 users (show)

Fixed In Version: gcc-7.0.1-0.10.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-27 11:36:00 UTC
Type: Bug


Attachments (Terms of Use)
graphene.log (127.79 KB, text/plain)
2017-01-02 22:58 UTC, Igor Gnatenko
no flags Details
Preprocessed source (150.09 KB, text/plain)
2017-02-02 13:01 UTC, Kalev Lember
no flags Details

Description Igor Gnatenko 2017-01-02 22:58:27 UTC
Created attachment 1236731 [details]
graphene.log

gcc-6.2.1-2.fc25.ppc64

../src/graphene-simd4f.c: In function ‘graphene_simd4f_min’:
../src/graphene-simd4f.c:1295:1: error: unrecognizable insn:
 }
 ^
(insn 53 52 54 2 (set (reg:SF 36 4)
        (if_then_else:SF (ge (reg:SF 202)
                (const_double:SF 0.0 [0x0.0p+0]))
            (reg:SF 7 7 [orig:6 b+12 ] [6])
            (reg:SF 5 5 [orig:4 a+12 ] [4]))) ../src/graphene-simd4f.c:1291 -1
     (expr_list:REG_DEAD (reg:SF 202)
        (expr_list:REG_DEAD (reg:SF 7 7 [orig:6 b+12 ] [6])
            (expr_list:REG_DEAD (reg:SF 5 5 [orig:4 a+12 ] [4])
                (nil)))))
../src/graphene-simd4f.c:1295:1: internal compiler error: in extract_insn, at recog.c:2287
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cclj1DuC.out file, please attach this to your bugreport.

Comment 1 Igor Gnatenko 2017-01-02 22:58:57 UTC
It doesn't fail on ppc64le, only on ppc64...

Comment 2 Kalev Lember 2017-02-02 12:59:54 UTC
Still getting an ICE compiling this with latest gcc-7.0.1-0.5.fc26 on ppc64. Attaching the preprocessed source.

Comment 3 Kalev Lember 2017-02-02 13:01:03 UTC
Created attachment 1247110 [details]
Preprocessed source

Comment 4 Kalev Lember 2017-02-03 07:55:35 UTC
Upstream report: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79211

Comment 5 Kalev Lember 2017-02-27 11:36:00 UTC
Thanks, confirmed fixed in gcc-7.0.1-0.10.fc26


Note You need to log in before you can comment on or make changes to this bug.